--*****************************************************
--VISTA DATOS ECONOMICOS CLIENTE FISICO VM_C_DATOS_ECONOMICO_PF
--*****************************************************

SELECT
CON.FOLIO_UNICO, 
SBP.NOMBRE, 
SBP.APELLIDO_PATERNO,
SBP.APELLIDO_MATERNO,
ACE.NOMBRE TIPO_PERSONA,
SUD.ID SUJETO_DETALLES_ID,
SUD.INGRESOS,
SUD.OTROS_INGRESOS,
SUD.FUENTE_OTROS_INGRESOS,
(SUD.INGRESOS + SUD.OTROS_INGRESOS) INGRESOS_TOTALES,
SUD.EGRESOS_MENSUALES EGRESOS,
(SUD.INGRESOS + SUD.OTROS_INGRESOS)-(SUD.EGRESOS_MENSUALES) TOTAL_GENERAL,
DFC.ID DICTAMEN_FINAL_COMENTARIOS_ID,
DFC.COMENTARIO OBSERVACION_ANALISIS,
DFC.FECHA_REGISTRO FECHA_AUTORIZACION

FROM SMAFB.SGCONTRATOS CON
LEFT OUTER JOIN SMAFB.SGTIPOS_APLICACIONES TAP ON (TAP.ID = CON.TIPO_APLICACION_ID)
LEFT OUTER JOIN SMAFB.SGAPLICACIONES_FISICAS APF ON (APF.CONTRATO_ID = CON.IDINT)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FISICOS ATF ON (ATF.ID = APF.APLICANTE_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOS SUJ ON (SUJ.ID = ATF.SUJETO_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOBASES SBP ON (SBP.ID = SUJ.SUJETOBASE_ID)    
LEFT OUTER JOIN SMAFB.SGACTIVIDADESECONOMICAS ACE ON (ACE.IDINT = ATF.ACTIVIDAD_ECONOMICA_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOS_DETALLES SUD ON (SUD.SUJETO_ID = SUJ.ID)
LEFT OUTER JOIN SMAFB.SGSOLICITUDES SOL ON (SOL.CONTRATO_ID = CON.IDINT)
LEFT OUTER JOIN SMAFB.SGRESULTADO_EVALUACION_FINAL REF ON (REF.ID_SOLICITUD = SOL.IDINT)
LEFT OUTER JOIN SMAFB.SGRESULTADO_DICTAMEN_FINAL RDF ON (RDF.RESULTADO_EVALUACION_FIN_ID = REF.ID)
LEFT OUTER JOIN SMAFB.SGDICTAMEN_FINAL_COMENTARIOS DFC ON (DFC.RESULTADO_DIC_FIN_ID = RDF.ID)

WHERE TAP.ID = 1 --TIPO 1 PERSONA FISICA
;